package com.navinfo.outdoor.fragment;

import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;

import com.jcodecraeer.xrecyclerview.XRecyclerView;
import com.navinfo.outdoor.R;
import com.navinfo.outdoor.base.BaseFragment;

/**
 * 地图下载的Fragment
 */
public class MapDownloadFragment extends BaseFragment implements View.OnClickListener{

    private ImageView ivDownLoad;
    private XRecyclerView recyclerView;

    public static MapDownloadFragment newInstance(Bundle bundle) {
        MapDownloadFragment fragment = new MapDownloadFragment();
        fragment.setArguments(bundle);
        return fragment;
    }

    @Override
    protected int getLayout() {
        return R.layout.map_download_fragment;
    }

    @Override
    protected void initView() {
        super.initView();
        ivDownLoad = findViewById(R.id.iv_download);
        ivDownLoad.setOnClickListener(this);
        recyclerView = findViewById(R.id.recycler_view);

    }

    @Override
    protected void initData() {
        super.initData();
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.iv_download:
                getActivity().finish();
                break;
        }
    }
}

